import type { QuizQuestionBase, QuestionHint, PreviewRule } from "./shared";

export interface QuizQuestionPage extends QuizQuestionBase {
  type: "page";
  content: {
    id: string;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    text: string;
    picture: string;
    originalPicture: string;
    useImage: boolean;
    video: string;
    hint: QuestionHint;
    rule: PreviewRule;
    back: string;
    originalBack: string;
    autofill: boolean;
  };
}
