import type {
  QuizQuestionBase,
  QuestionBranchingRule,
  QuestionHint,
} from "./shared";

export interface QuizQuestionResult extends QuizQuestionBase {
  type: "result";
  content: {
    id: string;
    back: string;
    originalBack: string;
    video: string;
    innerName: string;
    text: string;
    price: [number] | [number, number];
    useImage: boolean;
    rule: QuestionBranchingRule;
    hint: QuestionHint;
    autofill: boolean;
    usage: boolean;
  };
}
