import type {
  QuizQuestionBase,
  QuestionVariant,
  QuestionHint,
  PreviewRule,
} from "./shared";

export interface QuizQuestionSelect extends QuizQuestionBase {
  type: "select";
  content: {
    id: string;
    /** Чекбокс "Можно несколько" */
    multi: boolean;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Поле "Текст в выпадающем списке" */
    default: string;
    variants: QuestionVariant[];
    rule: PreviewRule;
    hint: QuestionHint;
    back: string;
    originalBack: string;
    autofill: boolean;
  };
}
