import Typography from "@mui/material/Typography";
import TariffCard from "./TariffCard";
import NumberIcon from "@icons/NumberIcon";
import { useTheme } from "@mui/material";

export default function FreeTariffCard() {
  const theme = useTheme();

  return (
    <TariffCard
      icon={<NumberIcon number={0} color="#7e2aea" backgroundColor="white" />}
      discount={""}
      headerText="бесплатно"
      text="Первые 14 дней после регистрации, вы можете пользоваться полным функционалом сервиса совершенно бесплатно"
      price={
        <Typography variant="price" color="white">
          0 руб.
        </Typography>
      }
      sx={{
        backgroundColor: "#7e2aea",
        color: "white",
      }}
      buttonProps={{
        text: "Выбрать",
        sx: {
          color: "white",
          borderColor: "white",
        },
      }}
    />
  );
}
