import { useSnackbar } from "notistack";
import { addQuestionVariant } from "@root/questions/actions";
import { QuizQuestionsWithVariants } from "@model/questionTypes/shared";

export const useAddAnswer = () => {
  const { enqueueSnackbar } = useSnackbar();

  const onClickAddAnAnswer = (question: QuizQuestionsWithVariants) => {
    // if (question.content.variants.length >= 10) {
    //   enqueueSnackbar("100 максимальное количество вопросов");
    // } else {
    addQuestionVariant(question.id);
    // }
  };

  return onClickAddAnAnswer;
};
