import type { QuizQuestionBase, QuestionHint, PreviewRule } from "./shared";

export interface QuizQuestionText extends QuizQuestionBase {
  type: "text";
  content: {
    id: string;
    placeholder: string;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Автозаполнение адреса" */
    autofill: boolean;
    answerType: "single" | "multi";
    hint: QuestionHint;
    rule: PreviewRule;
    back: string;
    originalBack: string;
    onlyNumbers: boolean;
  };
}
