import type {
  QuestionHint,
  QuestionVariant,
  QuizQuestionBase,
  PreviewRule,
} from "./shared";

export interface QuizQuestionVarImg extends QuizQuestionBase {
  type: "varimg";
  content: {
    id: string;
    /** Чекбокс "Вариант "свой ответ"" */
    own: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    variants: QuestionVariant[];
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string;
    originalBack: string;
    autofill: boolean;
    largeCheck: boolean;
    replText: string;
  };
}
