import { useTheme, Box } from "@mui/material";
import ExpandableQuizBlock from "./ExpandableQuizBlock";
import MyQuizzesFull from "./MyQuizzesFull";

export default function MyQuizzes() {
  const theme = useTheme();

  return (
    <MyQuizzesFull>
      <Box
        sx={{
          display: "flex",
          flexDirection: "column",
          gap: "40px",
        }}
      >
        <ExpandableQuizBlock name="Название" />
        <ExpandableQuizBlock name="Название" />
      </Box>
    </MyQuizzesFull>
  );
}
